跳转到内容
Ask AI

Nd-Snooping-Netconf

此内容尚不支持你的语言。

YANG Pathget/get-configedit-configrpc
/nd-snoopingYmerge, replace, create, delete—
/nd-snooping/globalYmerge, replace, create, delete—
/nd-snooping/interfaces/{name}Ymerge, replace, create, delete—

This chapter provides examples on how to use Netconf to manage ND Snooping configurations on AsterNOS devices.

Request example to get all ND Snooping configurations via get-config with subtree filter.

<filter type="subtree">
<top>
<nd-snooping/>
</top>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<nd-snooping xmlns="http://asterfusion.com/ns/yang/asternos-nd-snooping">
<global>
<enabled>true</enabled>
</global>
<interfaces>
<interface>
<name>Vlan100</name>
<enabled>true</enabled>
<trusted>true</trusted>
</interface>
<interface>
<name>Vlan200</name>
<enabled>true</enabled>
<trusted>true</trusted>
</interface>
</interfaces>
</nd-snooping>
</top>
</data>

Request example to set ND Snooping configuration via edit-config.

<config>
<top>
<nd-snooping>
<global>
<enabled>true</enabled>
</global>
<interfaces>
<interface>
<name>Vlan100</name>
<enabled>true</enabled>
<trusted>true</trusted>
</interface>
<interface>
<name>Vlan200</name>
<enabled>true</enabled>
<trusted>true</trusted>
</interface>
</interfaces>
</nd-snooping>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:b9171b24-a88c-42da-82f5-d1b8ac58edeb">
<ok/>
</rpc-reply>

Request example to delete ND Snooping configurations of interface via edit-config.

<config>
<top>
<nd-snooping>
<interfaces>
<interface operation="delete">
<name>Vlan100</name>
</interface>
</interfaces>
</nd-snooping>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6845257e-fb87-4b08-80c5-2a8b1b1dc264">
<ok/>
</rpc-reply>

Tree Diagram

module: asternos-nd-snooping
+--rw nd-snooping
+--rw global
| +--rw enabled? boolean
+--rw interfaces
+--rw interface* [name]
+--rw name cmn:vlan-name
+--rw enabled? boolean
+--rw trusted? boolean

Table of Properties

NameRequiredType/RangeDescription
nd-snoopingMPath-only node, has no configurable value.
nd snooping configuration.
globalMPath-only node, has no configurable value.
nd snooping global configuration.
enabledO”true"
"false”
enable nd snooping.
interfacesMPath-only node, has no configurable value.
nd snooping interface configuration.
interfaceMPath-only node, has no configurable value.
nd snooping interface.
nameOcmn:vlan-nameinterface name.
enabledO”true"
"false”
enable nd snooping.
trustedO”true"
"false”
trusted interface nd snooping.

Tree Diagram

module: asternos-nd-snooping
+--rw nd-snooping
+--rw global
+--rw enabled? boolean

Table of Properties

NameRequiredType/RangeDescription
globalMPath-only node, has no configurable value.
nd snooping global configuration.
enabledO”true"
"false”
enable nd snooping.

Tree Diagram

module: asternos-nd-snooping
+--rw nd-snooping
+--rw interfaces
+--rw interface* [name]
+--rw name cmn:vlan-name
+--rw enabled? boolean
+--rw trusted? boolean

Table of Properties

NameRequiredType/RangeDescription
interfacesMPath-only node, has no configurable value.
nd snooping interface configuration.
interfaceMPath-only node, has no configurable value.
nd snooping interface.
nameOcmn:vlan-nameinterface name.
enabledO”true"
"false”
enable nd snooping.
trustedO”true"
"false”
trusted interface nd snooping.